Subject: Re: bug#22052: emacs crashes at run

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Oct 2019 03:34:39 +0200

Amin Shah Gilani <[email-masked]> writes:

> Emacs crashes at run on Elementary OS - Freya, based on Ubuntu 14.04. This
> was my time using it, so i installed it and it crashed in my face
>
> Here's the log from ~/.xsession-errors:
>
> X protocol error: BadMatch (invalid parameter attributes) on protocol request
> 140
> When compiled with GTK, Emacs cannot recover from X disconnects.
> This is a GTK bug: https://bugzilla.gnome.org/show_bug.cgi?id=85715
> For details, see etc/PROBLEMS.

[...]

> /usr/lib/x86_64-linux-gnu/libX11.so.6(_XError+0x12b)[0x7fd7a0a1c54b]
> /usr/lib/x86_64-linux-gnu/libX11.so.6(+0x3b5e7)[0x7fd7a0a195e7]
> /usr/lib/x86_64-linux-gnu/libX11.so.6(+0x3b695)[0x7fd7a0a19695]
> /usr/lib/x86_64-linux-gnu/libX11.so.6(_XEventsQueued+0x55)[0x7fd7a0a19fc5]
> /usr/lib/x86_64-linux-gnu/libX11.so.6(XPending+0x4d)[0x7fd7a0a0c12d]
> ...
> Window manager warning: last_focus_time (4337747) is greater than
> comparison timestamp (4337746).  This most likely represents a buggy client
> sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW. 
> Trying to work around...
> Window manager warning: Log level 16: STACK_OP_LOWER_BELOW: sibling
> window 0x3e0006b not in stack

This was four years ago, and unfortunately this wasn't handled at the
time.  But it's unlikely that we'll be making more progress here at this
point, so I'm closing this bug report.  Please reopen if you're still
seeing these crashes in modern versions of Emacs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no